.site-checkbox {
  color: #818181;
  font-size: 15px;
  font-weight: bold;
  font-family: 'Roboto', sans-serif;
  letter-spacing: .5px;
}
.site-checkbox .input-checkbox {
  position: relative;
  display: inline-block;
 
  text-align: center;
  vertical-align: -9px;
}
.site-checkbox .input-checkbox input[type="checkbox"] {
  visibility: hidden;
  position: absolute;
  left: 7px;
  bottom: 7px;
  margin: 0;
  padding: 0;
  outline: none;
  cursor: pointer;
  opacity: 0;
}
.site-checkbox .input-checkbox input[type="checkbox"] + .checkbox:before {
  position: absolute;
  left: 4px;
  bottom: 0px;
  width: 18px;
  height: 18px;
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 20px;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  vertical-align: -6px;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
  transition: all .2s ease;
  z-index: 1;
}
.site-checkbox .input-checkbox input[type="checkbox"] + .checkbox:before {
  content: "\e835";
  color: #717171;
}
.site-checkbox .input-checkbox input[type="checkbox"]:checked + .checkbox:before {
  content: "\e834";
}
.site-checkbox .input-checkbox input[type="checkbox"]:active:not(:disabled) + .checkbox:before {
  transform: scale3d(0.88, 0.88, 1);
}
.site-checkbox .input-checkbox input[type="checkbox"]:disabled + .checkbox:before {
  color: rgba(0, 0, 0, 0.157) !important;
}
.site-checkbox.checkbox-light label, .site-checkbox.checkbox-light .label {
  color: #FFF;
}
.site-checkbox.checkbox-light input[type="checkbox"] + .checkbox:before {
  color: #FFF;
}
.site-checkbox.checkbox-light input[type="checkbox"]:disabled + .checkbox:before {
  color: #5d5d5d !important;
}
.site-checkbox.checkbox-light.checkbox-rotate input[type="checkbox"] + .checkbox:before {
  border-color: #FFF;
}
.site-checkbox.checkbox-light.checkbox-rotate input[type="checkbox"]:disabled + .checkbox:before {
  border-color: #5d5d5d !important;
}
.site-checkbox label, .site-checkbox .label {
  cursor: pointer;
}

.site-checkbox.checkbox-rotate .input-checkbox input[type="checkbox"] + .checkbox {
  cursor: pointer;
}
.site-checkbox.checkbox-rotate .input-checkbox input[type="checkbox"] + .checkbox:before {
  content: "";
  position: absolute;
  left: 7px;
  bottom: 7px;
  width: 18px;
  height: 18px;
  border: 2px solid #717171;
  border-radius: 2px;
  transition: all .2s ease;
  z-index: 1;
}
.site-checkbox.checkbox-rotate .input-checkbox input[type="checkbox"]:checked + .checkbox:before {
  left: 11px;
  width: 12px;
  height: 20px;
  border-width: 2px;
  border-style: solid;
  border-top: transparent;
  border-left: transparent;
  transform: rotate(40deg);
  border-radius: 1px;
}
.site-checkbox.checkbox-rotate .input-checkbox input[type="checkbox"]:disabled + .checkbox:before {
  border-color: rgba(0, 0, 0, 0.157) !important;
}

.site-checkbox .checkbox-grey .ripple {
  background-color: #00bcd4 !important
}

.site-checkbox.checkbox-rotate .checkbox-grey input[type="checkbox"]:checked + .checkbox:before {
  border-color: #505050;
}

.site-checkbox:not(.checkbox-rotate) .checkbox-grey input[type="checkbox"]:checked + .checkbox:before {
  color: #505050;
}

.site-checkbox.checkbox-ripple .ripple {
  position: absolute;
  top: -1px;
  left: 3px;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  transform: scale(0);
}
.site-checkbox.checkbox-ripple .ripple.animated {
  display: block;
  animation-name: checkbox-ripple;
  animation-duration: 400ms;
  animation-timing-function: ease-out;
}
@-webkit-keyframes checkbox-ripple {
  100% {
    opacity: 0;
    transform: scale(1.6);
  }
}
@-moz-keyframes checkbox-ripple {
  100% {
    opacity: 0;
    transform: scale(1.6);
  }
}
@-ms-keyframes checkbox-ripple {
  100% {
    opacity: 0;
    transform: scale(1.6);
  }
}
@-o-keyframes checkbox-ripple {
  100% {
    opacity: 0;
    transform: scale(1.6);
  }
}
@keyframes checkbox-ripple {
  100% {
    opacity: 0;
    transform: scale(1.6);
  }
}